twitter4j

## Class Paging

- java.lang.Object
- - twitter4j.Paging

All Implemented Interfaces:
  Serializable

    public final class Paging
    extends Object
    implements Serializable

Controls pagination.
It is possible to use the same Paging instance in a multi-threaded context only if the instance is treated immutably.
But basically instance of this class is NOT thread safe. A client should instantiate Paging class per thread.

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Paging()`
`Paging(int page)`
`Paging(int page, int count)`
`Paging(int page, int count, long sinceId)`
`Paging(int page, int count, long sinceId, long maxId)`
`Paging(int page, long sinceId)`
`Paging(long sinceId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Paging` `count(int count)`
`boolean` `equals(Object o)`
`int` `getCount()`
`long` `getMaxId()`
`int` `getPage()`
`long` `getSinceId()`
`int` `hashCode()`
`Paging` `maxId(long maxId)`
`void` `setCount(int count)`
`void` `setMaxId(long maxId)`
`void` `setPage(int page)`
`void` `setSinceId(long sinceId)`
`Paging` `sinceId(long sinceId)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Paging

    public Paging()

#### Paging

    public Paging(int page)

#### Paging

    public Paging(long sinceId)

#### Paging

    public Paging(int page,
                  int count)

#### Paging

    public Paging(int page,
                  long sinceId)

#### Paging

    public Paging(int page,
                  int count,
                  long sinceId)

#### Paging

    public Paging(int page,
                  int count,
                  long sinceId,
                  long maxId)

### Method Detail

#### getPage

    public int getPage()

#### setPage

    public void setPage(int page)

#### getCount

    public int getCount()

#### setCount

    public void setCount(int count)

#### count

    public Paging count(int count)

#### getSinceId

    public long getSinceId()

#### setSinceId

    public void setSinceId(long sinceId)

#### sinceId

    public Paging sinceId(long sinceId)

#### getMaxId

    public long getMaxId()

#### setMaxId

    public void setMaxId(long maxId)

#### maxId

    public Paging maxId(long maxId)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`